<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <div class="col">
      <h6 class="mb-3">Intl CPE Work Force Management</h6>
      <h6 class="text-danger">{{ lblError }}</h6>
      <form [formGroup]="form" novalidate>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24">
            <dx-radio-group [items]="chkWorkGroupList"
                            layout="horizontal"
                            [(value)]="selectedWorkGroup"
                            (onValueChanged)="onChkWorkGroupChanged($event)">
            </dx-radio-group>
            <label class="col-form-label col col-lg-4 pr-1 text-right">User to Assign:</label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <dx-select-box [items]="userAssignList" formControlName="userToAssign"
                             displayExpr="dsplNme" valueExpr="userId"
                             placeholder="-- Select Option --" searchMode="startswith"
                             [searchEnabled]="true" [searchExpr]="['dsplNme']"
                             (onSelectionChanged)="onUserToAssignChanged($event)"></dx-select-box>
            </div>
          </div>
        </div>
        <div class="form-row text-center">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-3 offset-md-6 offset-lg-9">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btngrvAssign_Click()" [disabled]="locked">
              Assign
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-3">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btngrvUnAssign_Click()" [disabled]="locked">
              Unassign
            </button>
          </div>
        </div>
        <hr />
        <div class="form-row">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">M5 # Contains: </label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="m5Filter" />
            </div>
            <label class="col-form-label col col-lg-4 pr-1 text-right">Assigned User: </label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <dx-select-box [items]="assignedUserList" formControlName="assignedUser"
                             displayExpr="assigneD_USER_CNT" valueExpr="assigneD_USER"
                             placeholder="-- Select Option --" searchMode="startswith"
                             [searchEnabled]="true" [searchExpr]="['assigneD_USER_CNT']"
                             (onSelectionChanged)="onAssignedUserChanged($event)"></dx-select-box>
            </div>
            <!--<label class="col-form-label col col-lg-4 pr-1 text-right">Sub Status: </label>
            <div class="col col-lg-4 pl-0 pl-lg-1">
              <dx-select-box [items]="subStatusList"
                             [value]="subStatusList[0]"
                             placeholder="-- Select Option --"
                             formControlName="subStatus"
                             (onSelectionChanged)="onSubStatusChanged($event)"></dx-select-box>
            </div>-->
          </div>
        </div>
        <div class="form-row text-center">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-3 offset-md-6 offset-lg-9">
            <button type="button" class="btn btn-sm btn-primary btn-block" (click)="btngrvSearch_Click()" [disabled]="locked">
              Apply Filter
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-3">
            <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="btngrvClear_Click()">
              Clear Filter
            </button>
          </div>
        </div>
        <br />
        <dx-data-grid #grid id="grid" [dataSource]="wfmOrdersList" keyExpr="ordR_ID" [columnAutoWidth]="true"
                      [rowAlternationEnabled]="true" [showBorders]="true" [wordWrapEnabled]="true"
                      (onSelectionChanged)="selectionChangedHandler($event)">
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
          <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
          <dxo-paging [pageSize]="50"></dxo-paging>
          <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 100]"></dxo-pager>

          <dxi-column dataField="ftn" caption="M5 #" dataType="string"></dxi-column>
          <dxi-column dataField="proD_TYPE" caption="Product" dataType="string"></dxi-column>
          <dxi-column dataField="ordR_TYPE" caption="Order Type" dataType="string"></dxi-column>
          <dxi-column dataField="pltfM_TYPE" caption="Platform" dataType="string"></dxi-column>
          <!--<dxi-column dataField="suB_STATUS" caption="Sub Status" dataType="string"></dxi-column>-->
          <dxi-column dataField="assigneD_USER" caption="Assigned User" dataType="string"></dxi-column>
          <dxi-column dataField="assigneD_BY" caption="Assigned By" dataType="string"></dxi-column>
          <dxi-column dataField="asmT_DT" caption="Assign Date" dataType="datetime" cellTemplate="assignDate"></dxi-column>
          <div *dxTemplate="let cell of 'assignDate'">
            <span>{{cell.text | date:'MMM dd yyyy hh:mm a'}}</span>
          </div>
          <dxi-column dataField="vndR_NAME" caption="Vendor Name" dataType="string"></dxi-column>
          <dxi-column dataField="rtSflag" caption="Return to Sales" dataType="string"></dxi-column>
          <dxi-column dataField="ordR_RCVD_DT" caption="Order Received Date" dataType="datetime" cellTemplate="orderReceivedDate"></dxi-column>
          <div *dxTemplate="let cell of 'orderReceivedDate'">
            <span>{{cell.text | date:'MMM dd yyyy hh:mm a'}}</span>
          </div>
        </dx-data-grid>

      </form>
    </div>
  </div>
</div>

